Skip to main content
GET
/
approvals
List approvals
curl --request GET \
  --url https://api.natural.co/approvals \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "approval",
      "id": "apr_550e8400e29b41d4a716446655440000",
      "attributes": {
        "status": "pending",
        "target": {
          "type": "payment",
          "id": "pay_550e8400e29b41d4a716446655440001"
        },
        "reasons": [
          {
            "type": "limitExceeded",
            "limitType": "perTransactionAmount",
            "limitAmount": 250000,
            "actualAmount": 500000,
            "currency": "USD"
          }
        ],
        "createdAt": "2026-01-04T15:30:00.000Z",
        "updatedAt": "2026-01-04T15:30:00.000Z",
        "resolvedAt": null
      }
    }
  ],
  "meta": {
    "pagination": {
      "hasMore": false,
      "nextCursor": null
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.natural.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Query Parameters

limit
integer
default:50

Maximum number to return

Required range: 1 <= x <= 100
status
enum<string>

Approval status to list. Defaults to pending approvals.

Available options:
pending,
approved,
denied,
canceled

Response

Successful Response

data
object[]
required
meta
object
required